# Search Api service

Accesses the Content Services Search API.

## Methods

`search(query: any): Observable<NodePaging>`<br/>
Searches the repository.

## Details

See the
[Alfresco JS API](https://github.com/Alfresco/alfresco-js-api/blob/master/src/alfresco-search-rest-api/docs/SearchApi.md#search)
for the format of the query and returned data.
